"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.XrpTransaction = exports.UtxoTransaction = exports.LtcTransaction = exports.DogeTransaction = exports.BtcTransaction = exports.AlgoTransaction = exports.TransactionBase = exports.BalanceDecreasingSummaryStatus = exports.PaymentSummaryStatus = void 0;
var PaymentSummaryStatus;
(function (PaymentSummaryStatus) {
    PaymentSummaryStatus["Success"] = "success";
    PaymentSummaryStatus["Coinbase"] = "coinbase";
    PaymentSummaryStatus["NotNativePayment"] = "notNativePayment";
    PaymentSummaryStatus["UnexpectedNumberOfParticipants"] = "unexpectedNumberOfParticipants";
    PaymentSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    PaymentSummaryStatus["InvalidOutUtxo"] = "invalidOutUtxo";
    PaymentSummaryStatus["NoSpentAmountAddress"] = "noSpentAmountAddress";
    PaymentSummaryStatus["NoReceiveAmountAddress"] = "noReceiveAmountAddress";
    PaymentSummaryStatus["NoIntendedSpentAmountAddress"] = "noIntendedSpentAmountAddress";
    PaymentSummaryStatus["NoIntendedReceiveAmountAddress"] = "noIntendedReceiveAmountAddress";
})(PaymentSummaryStatus = exports.PaymentSummaryStatus || (exports.PaymentSummaryStatus = {}));
var BalanceDecreasingSummaryStatus;
(function (BalanceDecreasingSummaryStatus) {
    BalanceDecreasingSummaryStatus["Success"] = "success";
    BalanceDecreasingSummaryStatus["InvalidInUtxo"] = "invalidInUtxo";
    BalanceDecreasingSummaryStatus["NoSourceAddress"] = "noSourceAddress";
    BalanceDecreasingSummaryStatus["NotValidSourceAddressFormat"] = "notValidSourceAddressFormat";
})(BalanceDecreasingSummaryStatus = exports.BalanceDecreasingSummaryStatus || (exports.BalanceDecreasingSummaryStatus = {}));
class TransactionBase {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    constructor(data, additionalData) {
        this.privateData = data;
        this.privateAdditionalData = additionalData;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _data() {
        return this.privateData;
    }
    /**
     * Exposing the private data for the derived classes (dev only/python like privatization)
     */
    get _additionalData() {
        return this.privateAdditionalData;
    }
}
exports.TransactionBase = TransactionBase;
var AlgoTransaction_1 = require("./transactions/AlgoTransaction");
Object.defineProperty(exports, "AlgoTransaction", { enumerable: true, get: function () { return AlgoTransaction_1.AlgoTransaction; } });
var BtcTransaction_1 = require("./transactions/BtcTransaction");
Object.defineProperty(exports, "BtcTransaction", { enumerable: true, get: function () { return BtcTransaction_1.BtcTransaction; } });
var DogeTransaction_1 = require("./transactions/DogeTransaction");
Object.defineProperty(exports, "DogeTransaction", { enumerable: true, get: function () { return DogeTransaction_1.DogeTransaction; } });
var LtcTransaction_1 = require("./transactions/LtcTransaction");
Object.defineProperty(exports, "LtcTransaction", { enumerable: true, get: function () { return LtcTransaction_1.LtcTransaction; } });
var UtxoTransaction_1 = require("./transactions/UtxoTransaction");
Object.defineProperty(exports, "UtxoTransaction", { enumerable: true, get: function () { return UtxoTransaction_1.UtxoTransaction; } });
var XrpTransaction_1 = require("./transactions/XrpTransaction");
Object.defineProperty(exports, "XrpTransaction", { enumerable: true, get: function () { return XrpTransaction_1.XrpTransaction; } });
//# sourceMappingURL=TransactionBase.js.map